Subject: NA-NET distribution message

From: [email-masked]
Date: Sun, 20 May 90 11:35:52 PDT

NA Digest   Sunday, May 20, 1990   Volume 90 : Issue 20

Today's Editor: Cleve Moler

Today's Topics:

     A Notable Anniversary
     Special Issue of BIT on Conjugate Gradient Methods
     Numerical Analysis Tutorial Program
     Machine Readable Bibliographies
     Extending the BLAS 
     ARO's European Numerical Analysis Activities
     Joint Conference on Vector and Parallel Processing in Zurich

-------------------------------------------------------

From: Paul Saylor <[email-masked]>
Date: 18 May 90 15:42 +0200
Subject: A Notable Anniversary

Notable Anniversaries:

Forty years ago this month David Young handed in his thesis, a piece
of work described by one of his admirers as a ``great intellectual
achievement.'' 

------------------------------

From: Germund Dahlquist <[email-masked]>
Date: Wed, 16 May 90 20:02:18 +0200
Subject: Special Issue of BIT on Conjugate Gradient Methods

  The Scandinavian journal BIT has recently published a special
issue  on "Preconditioned Conjugate Gradient Methods" with Owe
Axelsson as guest editor. It contains 18 contributions from the
whole world and covers about 375 pages. It has also appeared in
book form and is available at  US$ 42.00 (42 dollars) from
    BIT
    Box 113
    DK-1004  Copenhagen K
    Denmark.

------------------------------

From: David H Schultz <[email-masked]>
Date: Thu, 17 May 90 12:01:40 -0500
Subject: Numerical Analysis Tutorial Program

This is in response to Baker Kearfott's query about teaching numerical 
analysis.

We have written a computer based numerical analysis tutorial.  It is completed 
menu driven and all inputs are thoroughly prompted.  Results are presented 
numerically and graphically.
 
Most of the major methods presented in the textbook Applied Numerical Analysis 
by Gerald/Wheatley are covered in the tutorial.  Each program gives you the 
choice of going directly to the method or of first going to an explanation of 
the method.

The major advantage of the tutorial is that the students can enter their own 
problems without doing any programming. The tutorial prompts the students for 
this information and then merges it into the code. The tutorial runs on IBM 
pc's.

If you are interested, I can send you additional information.  If you would 
like a copy, I have a limited number I could send out.

                    David H. Schultz
                    Math. Dept.
                    University of wis.-Milwaukee
                    Milwaukee,Wi 53201

------------------------------

From: T. R. Hopkins <[email-masked]>
Date: Thu, 17 May 90 10:39:51 BST
Subject: Machine Readable Bibliographies

David Morse and I have had a remark on Algorithm 620 accepted for
publication in Toms (it was scheduled to come out in the March issue -- I
suspect it will be in the next one). This consists of a database
containing the author, title, reference, keywords and shar index for all
the complete Collected Algorithms of the ACM plus references to all the
remarks, certificates etc. (to the end of 1989)
along with some Fortran programs for generating
a Bibtex database or a cumulative index (as used to appear in earlier
CACMs). An awk script to produce the Bibtex database would be easy to
produce -- it was used as a prototype for the Fortran!

We also have similar databases for the algorithms which have appeared in
Applied Statistics and the Computer Journal (this one hasn't been
completely checked out yet). 

The problem at the moment is that due to some small anomolies (we didn't
think about things hard enough at the start of this project :-) ) the same
Fortran codes don't work  on all the data sets. An MSc student is just
about to start a project to amalgamate all the available references.

If there is sufficint demand we can certainly generate Bibtex databases
for both the CALGO and AS algorithms and make them available from our
netlib with copies to the US feeds.

Tim Hopkins & David Morse
Computing Laboratory
University of Kent
Canterbury, Kent CT2 7NF
U.K.

------------------------------

From: Roger Grimes <[email-masked]>
Date: Tue, 15 May 90 13:53:25 PDT
Subject: Extending the BLAS 
 
After being raised on the BLAS by Dick Hanson at Washington State
University in 1974, I am a firm believer in the BLAS.  I am glad
that they have been extended formally to include sparse, 2-level,
and 3-level operations.  I have been somewhat involved in these
standardized extensions.  I am also glad that individuals, companies,
universities, and groups find them so useful that they provide
local extensions.  Maybe someday we will found a BLAS standards
committee to standardize some off the local extensions.  In the meantime
I have a passionate nit to pick.  When someone (e.g., Cleve Moler
in the May 7th issue of this newsletter) proposes a BLAS extension
they should at least follow the BLAS conventions.  Back in the dark
history of numerical analysis (1979) the BLAS were published in TOMS.
These conventions were followed for all of the published (and hence
standardized) extensions to the BLAS.  These conventions should be
followed when ANYONE proposes a BLAS extension.  One of the most
violated convention is the naming convention.  BLAS names should
have a four letter root name (e.g., SCAL).  That is because the
full BLAS subroutine has a precision prefix which is 1 or 2 characters
and Fortran has a 6 character limit for subroutine names.  Instead
of rashly proposing names like SCATTER and GATHER as Cray Research
did in the early 80's or SCALD for scaling by division as Cleve did
2 weeks ago, please, consider the ramifications of what you do on
others and what it means to create a generally useful tool.  The
BLAS conventions have survived the test of time (an amazing 15
years of utility in a rapidly changing field) -- they are worth
adhering to.

Roger Grimes

------------------------------

From: Ken Clark <[email-masked]>
Date: Tue, 15 May 90 17:21:55 EDT
Subject: ARO's European Numerical Analysis Activities

The Mathematical Sciences Division of the Army Research Office
currently manages the scientific activities of the Mathematics
and Physics Division of the European Research Office (ERO).
The ERO (located in London) is the European counterpart to ARO, 
sponsoring individual investigator research programs, workshops, 
travel between Army laboratories and conferences abroad, and maintaining 
cognizance of research activities in Britain, Europe, and throughout 
the Near East.

As program manager of the ARO program in Numerical Analysis and
Scientific Computing, I am taking a 10 week leave of absence (5/22 to 7/27) 
to act as Chief of the Math. and Physics Division at ERO. A large 
portion of my activities will involve traveling to conferences and        
visiting universities to discuss recent research activities with 
investigators currently supported by ERO, but also with any other
relevant (hopefully interested) scientists. I am particularly interested
in meeting members of the European numerical analysis community and will
no doubt contact many of them myself. However, in the likely event that
I do not contact someone who has something interesting they'd like to
discuss, I would welcome hearing from them too.  Of course if you are 
based in the US but are traveling abroad for the summer and I 
haven't spoken with you before, I'd be happy to hear from you as well. 
My address in London will be

Dr. Kenneth D. Clark
Mathematics and Physics Division
US Army Research, Development, and Standardization Group (UK)
Edison House
223 Old Marylebone Drive
London NW1, 5th
ENGLAND

011-44-1-409-4485/4657

Wishing you all safe travel and a productive summer,
Regards,
Ken Clark 

------------------------------

From: Peter Arbenz <[email-masked]>
Date: 18 May 90 14:06 +0200
Subject: Joint Conference on Vector and Parallel Processing in Zurich

        Second announcement & Preliminary Program

                 CONPAR 90         VAPP IV

    Joint Conference on Vector and Parallel Processing

           Swiss Federal Institute of Technology
                         Zurich

                  September 10-13, 1990

                     Sponsored by
       Schweizer  Informatiker Gesellschaft (SI)
                IEEE Switzerland Section

                  in cooperation with
            Gesellschaft fuer Informatik GI-PARS
             British Computer Society BCS-PPSG
               Computer Society of the IEEE
                 Swiss Chapter of the ACM

The past decade has seen the emergence of the two highly 
successful series of CONPAR and of VAPP conferences on the 
subject of parallel processing. The Vector and Parallel 
Processors in Computational Science meetings were held in 
Chester (VAPP I, 1981),  Oxford (VAPP II, 1984) and 
Liverpool (VAPP III, 1987). The International Conferences on 
Parallel Processing took place in Erlangen (CONPAR 81),  
Aachen (CONPAR 86) and Manchester (CONPAR 88). The format of 
the joint meeting will follow the pattern set by its 
predecessors. It will not only attract experts in the field 
from throughout the world but also people interested in the 
practical use of vector and parallel computers for their 
future work. It is intended to review hardware and 
architecture developments together with languages and 
software tools for supporting parallel processing. Another 
objective of the conference will be to highlight advances in 
algorithms and applications software for vector and parallel 
architectures.

Tutorials:

Prof. H. F. Jordan (Univ. of Colorado, USA):
  Parallel Computers - Architecture and Systems

Prof. R. H. Perrot (Queen's Univ. Belfast, U.K.):
  Parallel Languages and Tools

Keynote Address:

Prof. A. P. Speiser, ABB Corporate Research Baden,
  Switzerland:
Digital Electronics for 50 Years: No Limits to Growth?

Invited Presentations:

Prof. V. P. Bhatkar, Centre for Development of Advanced
  Computing, Pune, India:
Parallel Computing: An Indian Perspective

Dr. G. Cybenko, Center for Supercomputing Research and
  Development, University of Illinois at Urbana - Champaign,
  USA:
The Use and Interpretation of the PERFECT Benchmarks.

Dr. E. Odijk, Philips Research Lab, Eindhoven, The
  Netherlands:
Parallel Object-oriented Computer for Information Management

Panel:

Distributed and Shared Memory Systems: Convergence or 
Divergence?

Contributed Presentations:

The International Program Committee has selected papers for
the following sessions:

- New Models of Computation
- Logic Programming
- Large-Grain Data Flow
- Interconnection Networks
- Communication Issues
- Reconfigurable and Scalable Systems
- Implementation Issues for Novel Architectures and Languages
- High-Performance Systems and Accelerators
- Performance Prediction, Analysis, and Measurement
- Performance Monitoring and Debugging
- Compile-Time Analysis and Restructurers
- Load Balancing and the Mapping Problem
- Process Partitioning and Work Distribution
- Concurrency Control
- The TOPSYS Tool Environment
- Visualization and Runtime Analysis
- Parallel Linear Algebra
- Algorithms for Matrix Factorization
- Architectures and Algorithms for Image Processing
- Efficient Use of Vector Processors
- Performance Considerations
- Transputer Tools and Applications
- Array Processors and Applications
- Algorithmic Studies for Hypercube-Type Systems
- Cellular/Systolic Architectures and Algorithms

Awards and Computation Race:

The Awards Committee will award one or two prizes and a 
Plaque of Recognition in each of four categories:
- Best technical contribution
- Excellent presentation (based on nomination by the
  audience)
- Best visually animated presentation of concurrency and/or
  parallelism (see below)
- The fastest computer solution to a (highly?) parallel
  problem (see below)
The committee anticipates announcing the awards and the 
results of the competition during the last session of the 
conference. At that session, selected animations will be 
shown, and participants in the computation race will present 
selected descriptions of their projects.
 
Computation Race:

Participants in the computation race are encouraged to 
prepare a brief (< 15 minutes) presentation of their 
project: hardware, software, algorithm, experience gained.
For details and submissions (until July 1, 1990) please 
contact:

Prof. J. Nievergelt
ETH - ZentrumPhone: +41-1-254-7380
InformatikFax: +41-1-262 -3973
CH-8092 Zurichemail: [email-masked]
Switzerland

Visualisation of Concurrent Processes:

The Awards Committee is looking for original research and 
development work in the area of Visualization of Concurrent 
Processes. Processes are said to be concurrent or 
simultaneous or parallel if they co-exist in time. 
Contributions should be animated, esthetically pleasing, 
provide 'aha-effects', and have their origin in a field of 
application such as parallel circuit and architecture 
design, parallel geometric  algorithms,  pattern 
recognition, artificial  neural nets, particle
motion simulation, cellular automata, etc. The expected 
length of the individual contributions should be in the 
range of 30 to 240 seconds of running video or real-time 
display on a workstation.
Contributions must be submitted by July 1, 1990 to

Prof. P. Stucki
University of ZurichPhone: +41-1-257-4350
Dept. of Computer Sc.Fax: +41-1-257-4343
Multimedia Laboratoryemail: [email-masked]
CH-8057 Zurich
Switzerland

Exhibition, Demonstrations and Posters:

Complementary to the tutorials and regular sessions of the 
conference, there will be an exhibition and presentation of 
vendor products, current research work at universities, 
demonstrations of non-commercial system prototypes, and 
poster sessions.
The exhibition will be open to the public. It will be housed 
in a convenient and attractive setting of the main building 
of ETH just outside of the seminar rooms where the 
conference will take place. During the breaks in the morning 
and in the afternoon, coffee will be served to the 
participants of the conference in this area, so that the 
exhibition will get sufficient attention.
The exhibition will have four parts:

Registration and Conference Secretariat:

Please contact the Conference Secretariat in order to get
forms for conference registration and hotel reservation.

Secretariat CONPAR 90 / VAPP IV
Dr. Ernst Rothauser
IBM Research Laboratory Zurich
CH-8803 Ruschlikon, Switzerland
Tel.+41-55-67 2076
Fax:+41-1-724 0141
email:[email-masked]

------------------------------

End of NA Digest
**************************
-------